package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontNestStaData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontNestStaDataMapper {
    BasedataMontNestStaData selectBasedataMontNestStaDataByMontNestStaDataId(Long dataId);

    List<BasedataMontNestStaData> selectBasedataMontNestStaDataList(BasedataMontNestStaData data);

    int insertBasedataMontNestStaData(BasedataMontNestStaData data);

    int updateBasedataMontNestStaData(BasedataMontNestStaData data);

    int deleteBasedataMontNestStaDataByMontNestStaDataId(Long dataId);

    int deleteBasedataMontNestStaDataByMontNestStaDataIds(Long[] dataIds);
}
